"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddTagsToOnPremisesInstances_1 = require("../model/operations/AddTagsToOnPremisesInstances");
var AddTagsToOnPremisesInstancesCommand = /** @class */ (function () {
    function AddTagsToOnPremisesInstancesCommand(input) {
        this.input = input;
        this.model = AddTagsToOnPremisesInstances_1.AddTagsToOnPremisesInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddTagsToOnPremisesInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddTagsToOnPremisesInstancesCommand;
}());
exports.AddTagsToOnPremisesInstancesCommand = AddTagsToOnPremisesInstancesCommand;
//# sourceMappingURL=AddTagsToOnPremisesInstancesCommand.js.map