import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetDeploymentTargetsInput } from "../types/BatchGetDeploymentTargetsInput";
import { BatchGetDeploymentTargetsOutput } from "../types/BatchGetDeploymentTargetsOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/BatchGetDeploymentTargetsInput";
export * from "../types/BatchGetDeploymentTargetsOutput";
export * from "../types/BatchGetDeploymentTargetsExceptionsUnion";
export declare class BatchGetDeploymentTargetsCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetDeploymentTargetsInput, OutputTypesUnion, BatchGetDeploymentTargetsOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: BatchGetDeploymentTargetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetDeploymentTargetsInput, BatchGetDeploymentTargetsOutput, Blob>;
    constructor(input: BatchGetDeploymentTargetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<BatchGetDeploymentTargetsInput, BatchGetDeploymentTargetsOutput>;
}
