import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ContinueDeploymentInput } from "../types/ContinueDeploymentInput";
import { ContinueDeploymentOutput } from "../types/ContinueDeploymentOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/ContinueDeploymentInput";
export * from "../types/ContinueDeploymentOutput";
export * from "../types/ContinueDeploymentExceptionsUnion";
export declare class ContinueDeploymentCommand implements __aws_sdk_types.Command<InputTypesUnion, ContinueDeploymentInput, OutputTypesUnion, ContinueDeploymentOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: ContinueDeploymentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ContinueDeploymentInput, ContinueDeploymentOutput, Blob>;
    constructor(input: ContinueDeploymentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<ContinueDeploymentInput, ContinueDeploymentOutput>;
}
