"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetApplicationRevision_1 = require("../model/operations/GetApplicationRevision");
var GetApplicationRevisionCommand = /** @class */ (function () {
    function GetApplicationRevisionCommand(input) {
        this.input = input;
        this.model = GetApplicationRevision_1.GetApplicationRevision;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetApplicationRevisionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetApplicationRevisionCommand;
}());
exports.GetApplicationRevisionCommand = GetApplicationRevisionCommand;
//# sourceMappingURL=GetApplicationRevisionCommand.js.map