import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListApplicationRevisionsInput } from "../types/ListApplicationRevisionsInput";
import { ListApplicationRevisionsOutput } from "../types/ListApplicationRevisionsOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/ListApplicationRevisionsInput";
export * from "../types/ListApplicationRevisionsOutput";
export * from "../types/ListApplicationRevisionsExceptionsUnion";
export declare class ListApplicationRevisionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListApplicationRevisionsInput, OutputTypesUnion, ListApplicationRevisionsOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: ListApplicationRevisionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListApplicationRevisionsInput, ListApplicationRevisionsOutput, Blob>;
    constructor(input: ListApplicationRevisionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<ListApplicationRevisionsInput, ListApplicationRevisionsOutput>;
}
