import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterApplicationRevisionInput } from "../types/RegisterApplicationRevisionInput";
import { RegisterApplicationRevisionOutput } from "../types/RegisterApplicationRevisionOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/RegisterApplicationRevisionInput";
export * from "../types/RegisterApplicationRevisionOutput";
export * from "../types/RegisterApplicationRevisionExceptionsUnion";
export declare class RegisterApplicationRevisionCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterApplicationRevisionInput, OutputTypesUnion, RegisterApplicationRevisionOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: RegisterApplicationRevisionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterApplicationRevisionInput, RegisterApplicationRevisionOutput, Blob>;
    constructor(input: RegisterApplicationRevisionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<RegisterApplicationRevisionInput, RegisterApplicationRevisionOutput>;
}
