import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RemoveTagsFromOnPremisesInstancesInput } from "../types/RemoveTagsFromOnPremisesInstancesInput";
import { RemoveTagsFromOnPremisesInstancesOutput } from "../types/RemoveTagsFromOnPremisesInstancesOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/RemoveTagsFromOnPremisesInstancesInput";
export * from "../types/RemoveTagsFromOnPremisesInstancesOutput";
export * from "../types/RemoveTagsFromOnPremisesInstancesExceptionsUnion";
export declare class RemoveTagsFromOnPremisesInstancesCommand implements __aws_sdk_types.Command<InputTypesUnion, RemoveTagsFromOnPremisesInstancesInput, OutputTypesUnion, RemoveTagsFromOnPremisesInstancesOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: RemoveTagsFromOnPremisesInstancesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RemoveTagsFromOnPremisesInstancesInput, RemoveTagsFromOnPremisesInstancesOutput, Blob>;
    constructor(input: RemoveTagsFromOnPremisesInstancesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<RemoveTagsFromOnPremisesInstancesInput, RemoveTagsFromOnPremisesInstancesOutput>;
}
