"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsForResourceInput_1 = require("../shapes/ListTagsForResourceInput");
var ListTagsForResourceOutput_1 = require("../shapes/ListTagsForResourceOutput");
var ArnNotSupportedException_1 = require("../shapes/ArnNotSupportedException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ResourceArnRequiredException_1 = require("../shapes/ResourceArnRequiredException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsForResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsForResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsForResourceInput_1.ListTagsForResourceInput
    },
    output: {
        shape: ListTagsForResourceOutput_1.ListTagsForResourceOutput
    },
    errors: [
        {
            shape: ArnNotSupportedException_1.ArnNotSupportedException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: ResourceArnRequiredException_1.ResourceArnRequiredException
        }
    ]
};
//# sourceMappingURL=ListTagsForResource.js.map