"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListApplicationRevisionsInput = {
    type: "structure",
    required: ["applicationName"],
    members: {
        applicationName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        sortBy: {
            shape: {
                type: "string"
            }
        },
        sortOrder: {
            shape: {
                type: "string"
            }
        },
        s3Bucket: {
            shape: {
                type: "string"
            }
        },
        s3KeyPrefix: {
            shape: {
                type: "string"
            }
        },
        deployed: {
            shape: {
                type: "string"
            }
        },
        nextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ListApplicationRevisionsInput.js.map