"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _DeploymentStatusList_1 = require("./_DeploymentStatusList");
var _TimeRange_1 = require("./_TimeRange");
exports.ListDeploymentsInput = {
    type: "structure",
    required: [],
    members: {
        applicationName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        deploymentGroupName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        includeOnlyStatuses: {
            shape: _DeploymentStatusList_1._DeploymentStatusList
        },
        createTimeRange: {
            shape: _TimeRange_1._TimeRange
        },
        nextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ListDeploymentsInput.js.map