import { ApplicationDoesNotExistException } from "./ApplicationDoesNotExistException";
import { ApplicationNameRequiredException } from "./ApplicationNameRequiredException";
import { InvalidApplicationNameException } from "./InvalidApplicationNameException";
import { RevisionRequiredException } from "./RevisionRequiredException";
import { InvalidRevisionException } from "./InvalidRevisionException";
import { BatchLimitExceededException } from "./BatchLimitExceededException";
export declare type BatchGetApplicationRevisionsExceptionsUnion = ApplicationDoesNotExistException | ApplicationNameRequiredException | InvalidApplicationNameException | RevisionRequiredException | InvalidRevisionException | BatchLimitExceededException;
