import { AddTagsToOnPremisesInstancesOutput } from "./AddTagsToOnPremisesInstancesOutput";
import { BatchGetApplicationRevisionsOutput } from "./BatchGetApplicationRevisionsOutput";
import { BatchGetApplicationsOutput } from "./BatchGetApplicationsOutput";
import { BatchGetDeploymentGroupsOutput } from "./BatchGetDeploymentGroupsOutput";
import { BatchGetDeploymentInstancesOutput } from "./BatchGetDeploymentInstancesOutput";
import { BatchGetDeploymentTargetsOutput } from "./BatchGetDeploymentTargetsOutput";
import { BatchGetDeploymentsOutput } from "./BatchGetDeploymentsOutput";
import { BatchGetOnPremisesInstancesOutput } from "./BatchGetOnPremisesInstancesOutput";
import { ContinueDeploymentOutput } from "./ContinueDeploymentOutput";
import { CreateApplicationOutput } from "./CreateApplicationOutput";
import { CreateDeploymentOutput } from "./CreateDeploymentOutput";
import { CreateDeploymentConfigOutput } from "./CreateDeploymentConfigOutput";
import { CreateDeploymentGroupOutput } from "./CreateDeploymentGroupOutput";
import { DeleteApplicationOutput } from "./DeleteApplicationOutput";
import { DeleteDeploymentConfigOutput } from "./DeleteDeploymentConfigOutput";
import { DeleteDeploymentGroupOutput } from "./DeleteDeploymentGroupOutput";
import { DeleteGitHubAccountTokenOutput } from "./DeleteGitHubAccountTokenOutput";
import { DeregisterOnPremisesInstanceOutput } from "./DeregisterOnPremisesInstanceOutput";
import { GetApplicationOutput } from "./GetApplicationOutput";
import { GetApplicationRevisionOutput } from "./GetApplicationRevisionOutput";
import { GetDeploymentOutput } from "./GetDeploymentOutput";
import { GetDeploymentConfigOutput } from "./GetDeploymentConfigOutput";
import { GetDeploymentGroupOutput } from "./GetDeploymentGroupOutput";
import { GetDeploymentInstanceOutput } from "./GetDeploymentInstanceOutput";
import { GetDeploymentTargetOutput } from "./GetDeploymentTargetOutput";
import { GetOnPremisesInstanceOutput } from "./GetOnPremisesInstanceOutput";
import { ListApplicationRevisionsOutput } from "./ListApplicationRevisionsOutput";
import { ListApplicationsOutput } from "./ListApplicationsOutput";
import { ListDeploymentConfigsOutput } from "./ListDeploymentConfigsOutput";
import { ListDeploymentGroupsOutput } from "./ListDeploymentGroupsOutput";
import { ListDeploymentInstancesOutput } from "./ListDeploymentInstancesOutput";
import { ListDeploymentTargetsOutput } from "./ListDeploymentTargetsOutput";
import { ListDeploymentsOutput } from "./ListDeploymentsOutput";
import { ListGitHubAccountTokenNamesOutput } from "./ListGitHubAccountTokenNamesOutput";
import { ListOnPremisesInstancesOutput } from "./ListOnPremisesInstancesOutput";
import { ListTagsForResourceOutput } from "./ListTagsForResourceOutput";
import { PutLifecycleEventHookExecutionStatusOutput } from "./PutLifecycleEventHookExecutionStatusOutput";
import { RegisterApplicationRevisionOutput } from "./RegisterApplicationRevisionOutput";
import { RegisterOnPremisesInstanceOutput } from "./RegisterOnPremisesInstanceOutput";
import { RemoveTagsFromOnPremisesInstancesOutput } from "./RemoveTagsFromOnPremisesInstancesOutput";
import { SkipWaitTimeForInstanceTerminationOutput } from "./SkipWaitTimeForInstanceTerminationOutput";
import { StopDeploymentOutput } from "./StopDeploymentOutput";
import { TagResourceOutput } from "./TagResourceOutput";
import { UntagResourceOutput } from "./UntagResourceOutput";
import { UpdateApplicationOutput } from "./UpdateApplicationOutput";
import { UpdateDeploymentGroupOutput } from "./UpdateDeploymentGroupOutput";
export declare type OutputTypesUnion = AddTagsToOnPremisesInstancesOutput | BatchGetApplicationRevisionsOutput | BatchGetApplicationsOutput | BatchGetDeploymentGroupsOutput | BatchGetDeploymentInstancesOutput | BatchGetDeploymentTargetsOutput | BatchGetDeploymentsOutput | BatchGetOnPremisesInstancesOutput | ContinueDeploymentOutput | CreateApplicationOutput | CreateDeploymentOutput | CreateDeploymentConfigOutput | CreateDeploymentGroupOutput | DeleteApplicationOutput | DeleteDeploymentConfigOutput | DeleteDeploymentGroupOutput | DeleteGitHubAccountTokenOutput | DeregisterOnPremisesInstanceOutput | GetApplicationOutput | GetApplicationRevisionOutput | GetDeploymentOutput | GetDeploymentConfigOutput | GetDeploymentGroupOutput | GetDeploymentInstanceOutput | GetDeploymentTargetOutput | GetOnPremisesInstanceOutput | ListApplicationRevisionsOutput | ListApplicationsOutput | ListDeploymentConfigsOutput | ListDeploymentGroupsOutput | ListDeploymentInstancesOutput | ListDeploymentTargetsOutput | ListDeploymentsOutput | ListGitHubAccountTokenNamesOutput | ListOnPremisesInstancesOutput | ListTagsForResourceOutput | PutLifecycleEventHookExecutionStatusOutput | RegisterApplicationRevisionOutput | RegisterOnPremisesInstanceOutput | RemoveTagsFromOnPremisesInstancesOutput | SkipWaitTimeForInstanceTerminationOutput | StopDeploymentOutput | TagResourceOutput | UntagResourceOutput | UpdateApplicationOutput | UpdateDeploymentGroupOutput;
