import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDeploymentConfigInput } from "../types/CreateDeploymentConfigInput";
import { CreateDeploymentConfigOutput } from "../types/CreateDeploymentConfigOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/CreateDeploymentConfigInput";
export * from "../types/CreateDeploymentConfigOutput";
export * from "../types/CreateDeploymentConfigExceptionsUnion";
export declare class CreateDeploymentConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDeploymentConfigInput, OutputTypesUnion, CreateDeploymentConfigOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: CreateDeploymentConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDeploymentConfigInput, CreateDeploymentConfigOutput, Blob>;
    constructor(input: CreateDeploymentConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<CreateDeploymentConfigInput, CreateDeploymentConfigOutput>;
}
