import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetApplicationRevisionInput } from "../types/GetApplicationRevisionInput";
import { GetApplicationRevisionOutput } from "../types/GetApplicationRevisionOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/GetApplicationRevisionInput";
export * from "../types/GetApplicationRevisionOutput";
export * from "../types/GetApplicationRevisionExceptionsUnion";
export declare class GetApplicationRevisionCommand implements __aws_sdk_types.Command<InputTypesUnion, GetApplicationRevisionInput, OutputTypesUnion, GetApplicationRevisionOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: GetApplicationRevisionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetApplicationRevisionInput, GetApplicationRevisionOutput, Blob>;
    constructor(input: GetApplicationRevisionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<GetApplicationRevisionInput, GetApplicationRevisionOutput>;
}
