"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDeploymentGroup_1 = require("../model/operations/GetDeploymentGroup");
var GetDeploymentGroupCommand = /** @class */ (function () {
    function GetDeploymentGroupCommand(input) {
        this.input = input;
        this.model = GetDeploymentGroup_1.GetDeploymentGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDeploymentGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDeploymentGroupCommand;
}());
exports.GetDeploymentGroupCommand = GetDeploymentGroupCommand;
//# sourceMappingURL=GetDeploymentGroupCommand.js.map