import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDeploymentTargetInput } from "../types/GetDeploymentTargetInput";
import { GetDeploymentTargetOutput } from "../types/GetDeploymentTargetOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/GetDeploymentTargetInput";
export * from "../types/GetDeploymentTargetOutput";
export * from "../types/GetDeploymentTargetExceptionsUnion";
export declare class GetDeploymentTargetCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDeploymentTargetInput, OutputTypesUnion, GetDeploymentTargetOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: GetDeploymentTargetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDeploymentTargetInput, GetDeploymentTargetOutput, Blob>;
    constructor(input: GetDeploymentTargetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<GetDeploymentTargetInput, GetDeploymentTargetOutput>;
}
