"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListDeploymentTargets_1 = require("../model/operations/ListDeploymentTargets");
var ListDeploymentTargetsCommand = /** @class */ (function () {
    function ListDeploymentTargetsCommand(input) {
        this.input = input;
        this.model = ListDeploymentTargets_1.ListDeploymentTargets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListDeploymentTargetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListDeploymentTargetsCommand;
}());
exports.ListDeploymentTargetsCommand = ListDeploymentTargetsCommand;
//# sourceMappingURL=ListDeploymentTargetsCommand.js.map