"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveTagsFromOnPremisesInstances_1 = require("../model/operations/RemoveTagsFromOnPremisesInstances");
var RemoveTagsFromOnPremisesInstancesCommand = /** @class */ (function () {
    function RemoveTagsFromOnPremisesInstancesCommand(input) {
        this.input = input;
        this.model = RemoveTagsFromOnPremisesInstances_1.RemoveTagsFromOnPremisesInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveTagsFromOnPremisesInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveTagsFromOnPremisesInstancesCommand;
}());
exports.RemoveTagsFromOnPremisesInstancesCommand = RemoveTagsFromOnPremisesInstancesCommand;
//# sourceMappingURL=RemoveTagsFromOnPremisesInstancesCommand.js.map