import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateApplicationInput } from "../types/UpdateApplicationInput";
import { UpdateApplicationOutput } from "../types/UpdateApplicationOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/UpdateApplicationInput";
export * from "../types/UpdateApplicationOutput";
export * from "../types/UpdateApplicationExceptionsUnion";
export declare class UpdateApplicationCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateApplicationInput, OutputTypesUnion, UpdateApplicationOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: UpdateApplicationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateApplicationInput, UpdateApplicationOutput, Blob>;
    constructor(input: UpdateApplicationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<UpdateApplicationInput, UpdateApplicationOutput>;
}
