"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListOnPremisesInstancesInput_1 = require("../shapes/ListOnPremisesInstancesInput");
var ListOnPremisesInstancesOutput_1 = require("../shapes/ListOnPremisesInstancesOutput");
var InvalidRegistrationStatusException_1 = require("../shapes/InvalidRegistrationStatusException");
var InvalidTagFilterException_1 = require("../shapes/InvalidTagFilterException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListOnPremisesInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListOnPremisesInstances",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListOnPremisesInstancesInput_1.ListOnPremisesInstancesInput
    },
    output: {
        shape: ListOnPremisesInstancesOutput_1.ListOnPremisesInstancesOutput
    },
    errors: [
        {
            shape: InvalidRegistrationStatusException_1.InvalidRegistrationStatusException
        },
        {
            shape: InvalidTagFilterException_1.InvalidTagFilterException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListOnPremisesInstances.js.map