"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MinimumHealthyHosts_1 = require("./_MinimumHealthyHosts");
var _TrafficRoutingConfig_1 = require("./_TrafficRoutingConfig");
exports.CreateDeploymentConfigInput = {
    type: "structure",
    required: ["deploymentConfigName"],
    members: {
        deploymentConfigName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        minimumHealthyHosts: {
            shape: _MinimumHealthyHosts_1._MinimumHealthyHosts
        },
        trafficRoutingConfig: {
            shape: _TrafficRoutingConfig_1._TrafficRoutingConfig
        },
        computePlatform: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateDeploymentConfigInput.js.map