"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MinimumHealthyHosts_1 = require("./_MinimumHealthyHosts");
var _TrafficRoutingConfig_1 = require("./_TrafficRoutingConfig");
exports._DeploymentConfigInfo = {
    type: "structure",
    required: [],
    members: {
        deploymentConfigId: {
            shape: {
                type: "string"
            }
        },
        deploymentConfigName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        minimumHealthyHosts: {
            shape: _MinimumHealthyHosts_1._MinimumHealthyHosts
        },
        createTime: {
            shape: {
                type: "timestamp"
            }
        },
        computePlatform: {
            shape: {
                type: "string"
            }
        },
        trafficRoutingConfig: {
            shape: _TrafficRoutingConfig_1._TrafficRoutingConfig
        }
    }
};
//# sourceMappingURL=_DeploymentConfigInfo.js.map