"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _InstanceTarget_1 = require("./_InstanceTarget");
var _LambdaTarget_1 = require("./_LambdaTarget");
var _ECSTarget_1 = require("./_ECSTarget");
exports._DeploymentTarget = {
    type: "structure",
    required: [],
    members: {
        deploymentTargetType: {
            shape: {
                type: "string"
            }
        },
        instanceTarget: {
            shape: _InstanceTarget_1._InstanceTarget
        },
        lambdaTarget: {
            shape: _LambdaTarget_1._LambdaTarget
        },
        ecsTarget: {
            shape: _ECSTarget_1._ECSTarget
        }
    }
};
//# sourceMappingURL=_DeploymentTarget.js.map